import dynamix_sdk.base as _base


class CloudapiImageDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiImageDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def delete(
        self,
        *,
        image_id: int,
    ) -> CloudapiImageDeleteResultBool:
        ...
